Package org.apache.sysds.runtime.io.hdf5

# Class H5LocalHeap

java.lang.Object
org.apache.sysds.runtime.io.hdf5.H5LocalHeap

public class H5LocalHeap extends Object

## Constructor Summary

Constructors
Constructor
Description
`H5LocalHeap(H5RootObject rootObject, long address)`
`H5LocalHeap(H5RootObject rootObject, String childName, long dataSegmentSize, long offsetToHeadOfFreeList, long addressOfDataSegment)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getAddressOfDataSegment()`
`ByteBuffer`
`getDataBuffer()`
`long`
`getDataSegmentSize()`
`long`
`getOffsetToHeadOfFreeList()`
`short`
`getVersion()`
`void`
`toBuffer(H5BufferBuilder bb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5LocalHeap

public H5LocalHeap(H5RootObject rootObject, long address)

### H5LocalHeap

public H5LocalHeap(H5RootObject rootObject, String childName, long dataSegmentSize, long offsetToHeadOfFreeList, long addressOfDataSegment)

## Method Details

### toBuffer

public void toBuffer(H5BufferBuilder bb)

### getVersion

public short getVersion()

### getDataSegmentSize

public long getDataSegmentSize()

### getOffsetToHeadOfFreeList

public long getOffsetToHeadOfFreeList()

### getAddressOfDataSegment

public long getAddressOfDataSegment()

### getDataBuffer

public ByteBuffer getDataBuffer()